- [HTTP request](https://docs.cloud.google.com/logging/docs/reference/v2/rest/v2/organizations.logs/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/logging/docs/reference/v2/rest/v2/organizations.logs/delete#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/logging/docs/reference/v2/rest/v2/organizations.logs/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/logging/docs/reference/v2/rest/v2/organizations.logs/delete#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/logging/docs/reference/v2/rest/v2/organizations.logs/delete#body.aspect)
- [Try it!](https://docs.cloud.google.com/logging/docs/reference/v2/rest/v2/organizations.logs/delete#try-it)

Deletes all the log entries in a log for the global _Default Log Bucket. The log reappears if it receives new entries. Log entries written shortly before the delete operation might not be deleted. Entries received after the delete operation with a timestamp before the operation will be deleted.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-north3 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4 ca ch eu in sa us   
`DELETE https://logging.googleapis.com/v2/{logName=organizations/*/logs/*}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `logName` | `string` Required. The resource name of the log to delete: - `projects/[PROJECT_ID]/logs/[LOG_ID]` - `organizations/[ORGANIZATION_ID]/logs/[LOG_ID]` - `billingAccounts/[BILLING_ACCOUNT_ID]/logs/[LOG_ID]` - `folders/[FOLDER_ID]/logs/[LOG_ID]` `[LOG_ID]` must be URL-encoded. For example, `"projects/my-project-id/logs/syslog"`, `"organizations/123/logs/cloudaudit.googleapis.com%2Factivity"`. For more information about log names, see `https://docs.cloud.google.com/logging/docs/reference/v2/rest/v2/LogEntry`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `logName`: - `logging.logs.delete` |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/logging.admin`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).